Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1740636 - task dashboard -- add meaningfull iDs for task dashboard cards
Summary: task dashboard -- add meaningfull iDs for task dashboard cards
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.6.0
Assignee: Ondřej Pražák
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks: 1718889
TreeView+ depends on / blocked
 
Reported: 2019-08-13 12:11 UTC by Peter Ondrejka
Modified: 2019-10-22 19:49 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.15.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27711 0 None None None 2019-08-26 13:25:42 UTC

Description Peter Ondrejka 2019-08-13 12:11:32 UTC
Description of problem:

Currently, the task dashboard cards are distinguished from each other just by the title, which makes them cumbersome to identify in the ui test framework. Having unique IDs for those cards would make the test automation more stable, easier to implement and maintain

Comment 3 Ondřej Pražák 2019-08-26 13:25:41 UTC
Created redmine issue https://projects.theforeman.org/issues/27711 from this bug

Comment 4 Bryan Kearney 2019-08-26 14:04:04 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 5 Bryan Kearney 2019-08-26 14:04:06 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 6 Bryan Kearney 2019-09-04 20:04:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27711 has been resolved.

Comment 7 Peter Dragun 2019-09-16 09:52:24 UTC
Verified on Satellite 6.6 snap 20. The task dashboard cards now have IDs.

Comment 8 Bryan Kearney 2019-10-22 19:49:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.